/*
 * @Description:
 * @Author: leizhe
 * @Date: 2022-06-09 10:01:10
 * @LastEditTime: 2022-08-24 11:16:18
 * @LastEditors: leizhe
 */
import { get, post, PUBLISH_SERVICE, CITY_SERVICE } from '@/services/index';

// 集成登录查询
export const GetIntegratedLogin = param => get(`${PUBLISH_SERVICE}/GetIntegratedLogin`, param);

// 集成登录新增
export const AddIntegratedLogin = param => post(`${PUBLISH_SERVICE}/AddIntegratedLogin`, param);

// 集成登录编辑
export const EditIntegratedLogin = param => post(`${PUBLISH_SERVICE}/EditIntegratedLogin`, param);

// 集成登录删除
export const DelIntegratedLogin = param => get(`${PUBLISH_SERVICE}/DelIntegratedLogin`, param);

// 集成登录排序
export const SetIntegratedloginSettingSort = param =>
  post(`${PUBLISH_SERVICE}/SetIntegratedloginSettingSort`, param);

// 集成登录-获取集成登录项目下的默认图标
export const GetIntegratedloginIcon = param =>
  get(`${PUBLISH_SERVICE}/GetIntegratedloginIcon`, param);

export const SaveSystemInfo = param => get(`${PUBLISH_SERVICE}/HostManager/SaveSystemInfo`, param);

// 集成登录-添加集成登录网站配置
export const AddIntegratedloginSetting = param =>
  post(`${PUBLISH_SERVICE}/AddIntegratedloginSetting`, param);

// 集成登录-获取集成登录网站配置
export const GetIntegratedloginSetting = param =>
  get(`${PUBLISH_SERVICE}/GetIntegratedloginSetting`, param);

// 根据路径选择图片
export const GetImageOrderByFile = param =>
  get(`${PUBLISH_SERVICE}/FileCenter/GetImageOrderByFile`, param);

// 展示路径下所有图片
export const GetImageOrderByPath = param =>
  get(`${PUBLISH_SERVICE}/FileCenter/GetImageOrderByPath`, param);
